Extending Qt Creator Manual | DiffService

Extending Qt Creator Manual 4.5.2

# DiffService Class

(Core::DiffService)

- List of all members, including inherited members

## Public Functions

virtual | ~DiffService()
virtual void | diffFiles(const QString &leftFileName, const QString &rightFileName) = 0
virtual void | diffModifiedFiles(const QStringList &fileNames) = 0

## Member Function Documentation

### `[virtual]` DiffService::~DiffService()

Destroys the instance of DiffService. The destructor is virtual.

### `[pure virtual]` void DiffService::diffFiles(const QString &leftFileName, const QString &rightFileName)

### `[pure virtual]` void DiffService::diffModifiedFiles(const QStringList &fileNames)